package net.hoopajoo.cheeselab3;
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.util.*;

public class CheeseMapConfig extends JDialog implements ActionListener {
	JTextField username, server, port, loglevel;
	Properties props;
	
	CheeseMapConfig( Frame owner, Properties p ) {
		super( owner, true );
		
		props = p;
		username = new JTextField( p.getProperty( "userid" ) );
		server = new JTextField( p.getProperty( "server" ) );
		port = new JTextField( p.getProperty( "port" ) );
		loglevel = new JTextField( p.getProperty( "loglevel" ) );
		
		Container cpane = getContentPane();
		cpane.setLayout( new GridBagLayout() );
		GridBagConstraints c = new GridBagConstraints();
		c.fill = GridBagConstraints.HORIZONTAL;
		
		c.gridx = 0; c.gridy = 0;
		cpane.add( new JLabel( "Username" ), c );
		c.gridx = 1;
		cpane.add( username, c );
		
		c.gridx = 0; c.gridy++;
		cpane.add( new JLabel( "Server" ), c );
		c.gridx = 1;
		cpane.add( server, c );

		c.gridx = 0; c.gridy++;
		cpane.add( new JLabel( "Port" ), c );
		c.gridx = 1;
		cpane.add( port, c );

		c.gridx = 0; c.gridy++;
		cpane.add( new JLabel( "Log Level" ), c );
		c.gridx = 1;
		cpane.add( loglevel, c );

		c.gridx = 0; c.gridy++; c.gridwidth = 2;
		JButton button;
		cpane.add( button = new JButton( "Save" ), c );
		button.addActionListener( this );
		
		pack();
	}
	
	public void actionPerformed( ActionEvent e ) {
		CheeseLab.dmesg( 3, "Woot!" );
		
		// copy values from the fields to the prop list
		props.setProperty( "userid", username.getText() );
		props.setProperty( "server", server.getText() );
		props.setProperty( "port", port.getText() );
		props.setProperty( "loglevel", loglevel.getText() );
		
		CheeseMap.apply_properties();
		CheeseMap.save_properties();
		hide();
		dispose();
	}
}
